Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class DestinationLimitBehavior

    java.lang.Object
      com.sun.messaging.jms.management.server.DestinationLimitBehavior

    public class DestinationLimitBehavior

extends Object

Class containing information on destination limit behavior. These values specify how a destination responds when a memory-limit threshold is reached.

Field Summary
`static String` `FLOW_CONTROL` Flow control - the producers are slowed down.
`static String` `REJECT_NEWEST` Rejects the newest messages.
`static String` `REMOVE_LOW_PRIORITY` Throws out the lowest priority messages according to age of the messages (producing client receives no notification of message deletion).
`static String` `REMOVE_OLDEST` Remove oldest - throws out the oldest messages.
`static String` `UNKNOWN` Unknown destination limit behavior.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final String UNKNOWN

  Unknown destination limit behavior.

  See Also:
    Constant Field Values

### FLOW_CONTROL

    public static final String FLOW_CONTROL

  Flow control - the producers are slowed down.

  See Also:
    Constant Field Values

### REMOVE_OLDEST

    public static final String REMOVE_OLDEST

  Remove oldest - throws out the oldest messages.

  See Also:
    Constant Field Values

### REJECT_NEWEST

    public static final String REJECT_NEWEST

  Rejects the newest messages. The producing client gets an exception for rejection of persistent messages only. To use this limit behavior with non-persistent messages, set the imqAckOnProduce connection factory attribute.

  See Also:
    Constant Field Values

### REMOVE_LOW_PRIORITY

    public static final String REMOVE_LOW_PRIORITY

  Throws out the lowest priority messages according to age of the messages (producing client receives no notification of message deletion).

  See Also:
    Constant Field Values

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.